function [ ARL ] = ARL_normal_mean( Name_Procedure, Len, d, Pre_mean, Post_mean, w)
%ARL_normal_mean Summary of this function goes here
%   Compute the ARL under certain procedure. To accelerate the process, we
%   use the approximate exponential relationship between ARL and b.

% Number of Monte Carlo trials to obtain the test statistics
mc = 1000;

ARL_all = zeros(mc,1); % Include all the results of the trials 

for i = 1 : mc
    

end



end

